# PKGBUILD Update Integrity

This repository contains a simple helper script, `update-integrity`. Its purpose
is to easily update the `sha256` sums in PKGBUILD files. This is helpful if
you're maintaining a PKGBUILD and have bumped a version or updated some sources.
It simply replaces the existing hashes with the output of `makepkg -g`, first
prompting the user for a review and confirmation. It requires `kakoune` since we
use `kak -f` to perform the replacement.

To use the script, simply provide a path to a `PKGBUILD` or its parent directory
as the argument. If no argument is given, the current working directory is used.

An installation script is provided as a convenience.

> [!IMPORTANT]
> You should **never** pipe an unknown script directly into your shell.
> **Always** review it first.

```sh
url="https://git.ficd.sh/ficd/pkgbuild-update-integrity/raw/branch/main/install.sh"
# download installer
curl "$url" -o /tmp/install.sh
# review it
less /tmp/install.sh
# make it executable, run it
chmod +x /tmp/install.sh
/tmp/install.sh
```

## Why Kakoune?

Simply put: I know how to use Kakoune, and I feel comfortable with it. For tasks
like this, I feel it's much simpler to just adapt the tooling I'm familiar with.
Especially when the operation is to filter and change text, it feels very
natural to automate the same editing primitives I use when I edit text manually.
